#include <GL/glut.h>
#include "GameObj.h"
#include "GameObjTimed.h"
#include "Bullet.h"
#include "BulletFireBall.h"

int BulletFireBall::Draw()
{
	if(ttl>1000)	return Bullet::Draw();
	else	{
		glDisable(GL_LIGHTING);
		glPushMatrix();
		glTranslate(p);
		float size=(1000-ttl)/50.0;
		glScalef(size,size,size);
		const int nbul=24;
		glBegin(GL_LINES);
		for(int i=0;i<=nbul;i++){
			glColor3f(1, 1, .4);
			glVertex3f(1.2*cos(float(i)*M_PI*2.0/nbul),1.1*sin(float(i)*M_PI*2.0/nbul),0.0);
			glColor3f(0, 0, 0);
			glVertex3f(    cos(float(i)*M_PI*2.0/nbul),    sin(float(i)*M_PI*2.0/nbul),0.0);
		}
		glEnd();
		glEnable(GL_LIGHTING);
		glPopMatrix();
		return nbul;
	}
}

